
%global meadversion 1.1.6
%global namedversion 1.1.6.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}vdx}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.6.redhat-1

Name:           %{?scl_prefix}vdx
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        VDX
Group:          Development/Java

%if %with mead
Source100: vdx-parent-1.1.6.redhat-1-scm-sources.zip
Source102: vdx-parent-1.1.6.redhat-1-project-sources.tar.gz
Source103: vdx-parent-1.1.6.redhat-1.pom
Source104: vdx-core-1.1.6.redhat-1-javadoc.jar
Source105: vdx-core-1.1.6.redhat-1.pom
Source106: vdx-core-1.1.6.redhat-1.jar
Source107: vdx-core-1.1.6.redhat-1-sources.jar
Source108: vdx-wildfly-1.1.6.redhat-1-javadoc.jar
Source109: vdx-wildfly-1.1.6.redhat-1-sources.jar
Source110: vdx-wildfly-1.1.6.redhat-1.pom
Source111: vdx-wildfly-1.1.6.redhat-1.jar
%endif

License:        ASL 2.0
URL:            http://github.com/projectodd/vdx/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
VDX Parent POM.

%package core
Summary:        VDX Core
Group:          Development/Java


%description core
VDX Core utils.

%package wildfly
Summary:        VDX WildFly
Group:          Development/Java

Requires:       %{?scl_prefix}vdx-core = %{epoch}:%{version}-%{release}

%description wildfly
VDX WildFly support.

%if %with javadoc
%package javadoc
Summary:        Javadoc for vdx
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n vdx -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/vdx-core-%{namedversion}.jar %{buildroot}%{_javadir}/vdx-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/vdx-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/vdx-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/vdx-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/vdx-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/vdx-wildfly-%{namedversion}.jar %{buildroot}%{_javadir}/vdx-wildfly-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/vdx-wildfly-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/vdx-wildfly-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/vdx-wildfly-%{namedversion}-sources.jar %{buildroot}%{_javadir}/vdx-wildfly-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/vdx-%{namedversion}
unzip -qq %{_sourcedir}/vdx-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/vdx-%{namedversion} -x META-INF/\*
%{__ln_s} vdx-%{namedversion} %{buildroot}%{_javadocdir}/vdx
%endif

%clean
%{__rm} -rf %{buildroot}

%files core
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE.txt
%{_javadir}/vdx-core-%{namedversion}.jar
%{_javadir}/vdx-core.jar
%if %with javadoc
%{_javadir}/vdx-core-%{namedversion}-javadoc.jar
%{_javadir}/vdx-core-javadoc.jar
%endif
%{_javadir}/vdx-core-%{namedversion}-sources.jar
%{_javadir}/vdx-core-sources.jar

%files wildfly
%defattr(0644,root,root,0755)
%{_javadir}/vdx-wildfly-%{namedversion}.jar
%{_javadir}/vdx-wildfly.jar
%if %with javadoc
%{_javadir}/vdx-wildfly-%{namedversion}-javadoc.jar
%{_javadir}/vdx-wildfly-javadoc.jar
%endif
%{_javadir}/vdx-wildfly-%{namedversion}-sources.jar
%{_javadir}/vdx-wildfly-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/vdx-%{namedversion}
%{_javadocdir}/vdx
%endif

%changelog
* Tue Jun 26 2018 Yong Yang <yyang@redhat.com> - 1.1.6-2.redhat_1.1
- Rewrap for 7.2.0

* Sat Aug 19 2017 Petr Sakar <psakar@redhat.com> - 1.1.6-1.redhat_1.1
- upgrade to 1.1.6.redhat-1

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 1.1.5-1.redhat_1.1
- upgrade to 1.1.5.redhat-1

* Mon Jan 23 2017 Petr Sakar <psakar@redhat.com> - 1.1.3-1.redhat_1.1
- upgrade to 1.1.3.redhat-1

* Sat Jan 21 2017 Petr Sakar <psakar@redhat.com> - 1.1.2-1.redhat_1.1
- upgrade to 1.1.2.redhat-1

* Wed Nov 16 2016 Petr Sakar <psakar@redhat.com> - 1.1.1-1.redhat_1.1
- upgrade to 1.1.1.redhat-1

* Wed Nov 09 2016 Filip Kujikis <fkujikis@redhat.com> - 1.1.0-1.redhat_1.1
- prod build for upstream tag 1.1.0

* Fri Oct 21 2016 Filip Kujikis <fkujikis@redhat.com> - 1.0.1-1.redhat_1.1
- prod build for tag 1.0.1

